Переглянути джерело

debian folder initial version

j8
turint 10 роки тому
джерело
коміт
8aa807b77d

+ 8
- 0
debian/README.Debian Переглянути файл

@@ -0,0 +1,8 @@
1
+Jitsi Meet for Debian
2
+----------------------------
3
+
4
+This is a WebRTC frontend of the video conferencing tool Jitsi Meet. It depends on the
5
+jitsi-videobridge package, which is a SFU (Selective Forwarding Unit) and both packages
6
+are designed to work together.
7
+
8
+ -- Yasen Pramatarov <yasen@bluejimp.com>  Mon, 30 Jun 2014 23:05:18 +0100

+ 6
- 0
debian/README.source Переглянути файл

@@ -0,0 +1,6 @@
1
+jitsi-meet for Debian
2
+---------------------
3
+
4
+The jitsi-meet package is built from the sources of Jitsi Meet.
5
+
6
+Jitsi Meet is downloaded from https://github.com/jitsi/jitsi-meet and the git files are removed. you can recreate the source with 'git clone https://github.com/jitsi/jitsi-meet.git'.

+ 6
- 0
debian/changelog Переглянути файл

@@ -0,0 +1,6 @@
1
+jitsi-meet (1.0.1-1) unstable; urgency=low
2
+
3
+  * Initial release
4
+  * Jitsi Meet github snapshot from 2014-07-01
5
+
6
+ -- Yasen Pramatarov <yasen@bluejimp.com>  Tue, 01 Jul 2014 16:31:41 +0300

+ 1
- 0
debian/compat Переглянути файл

@@ -0,0 +1 @@
1
+8

+ 2
- 0
debian/conffiles Переглянути файл

@@ -0,0 +1,2 @@
1
+/etc/apt/sources.list.d/prosody-trunk.list
2
+/etc/apt/sources.list.d/jitsi.list

+ 18
- 0
debian/control Переглянути файл

@@ -0,0 +1,18 @@
1
+Source: jitsi-meet
2
+Section: net
3
+Priority: extra
4
+Maintainer: Yasen Pramatarov <yasen@bluejimp.com>
5
+Build-Depends: debhelper (>= 8.0.0)
6
+Standards-Version: 3.9.3
7
+Homepage: https://jitsi.org/Projects/JitsiMeet
8
+
9
+Package: jitsi-meet
10
+Architecture: any
11
+Pre-Depends: adduser, openssl, jitsi-videobridge
12
+Depends: ${shlibs:Depends}, ${misc:Depends}, nginx
13
+Description: WebRTC JavaScript video conferences
14
+ Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
15
+ Videobridge to provide high quality, scalable video conferences.
16
+ .
17
+ It is a web interface to Jitsi Videobridge for audio and video
18
+ forwarding and relaying, configured to work with nginx

+ 31
- 0
debian/copyright Переглянути файл

@@ -0,0 +1,31 @@
1
+Format: http://dep.debian.net/deps/dep5
2
+Upstream-Name: Jitsi Meet
3
+Upstream-Contact: Emil Ivov <emcho@jitsi.org>
4
+Source: https://github.com/jitsi/jitsi-meet
5
+
6
+Files: *
7
+Copyright: 2013-2014 Jitsi
8
+License: MIT
9
+
10
+License: MIT
11
+ The MIT License (MIT)
12
+ .
13
+ Copyright (c) 2013 ESTOS GmbH
14
+ Copyright (c) 2013 BlueJimp SARL
15
+ .
16
+ Permission is hereby granted, free of charge, to any person obtaining a copy of
17
+ this software and associated documentation files (the "Software"), to deal in
18
+ the Software without restriction, including without limitation the rights to
19
+ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
20
+ the Software, and to permit persons to whom the Software is furnished to do so,
21
+ subject to the following conditions:
22
+ .
23
+ The above copyright notice and this permission notice shall be included in all
24
+ copies or substantial portions of the Software.
25
+ .
26
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
27
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
28
+ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
29
+ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
30
+ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
31
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

+ 1
- 0
debian/docs Переглянути файл

@@ -0,0 +1 @@
1
+README.md

+ 2
- 0
debian/install Переглянути файл

@@ -0,0 +1,2 @@
1
+debian/etc/*			/etc/
2
+debian/usr/share/*		/usr/share/

+ 70
- 0
debian/postinst Переглянути файл

@@ -0,0 +1,70 @@
1
+#!/bin/sh
2
+# postinst script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postinst> `configure' <most-recently-configured-version>
10
+#        * <old-postinst> `abort-upgrade' <new version>
11
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12
+#          <new-version>
13
+#        * <postinst> `abort-remove'
14
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15
+#          <failed-install-package> <version> `removing'
16
+#          <conflicting-package> <version>
17
+# for details, see http://www.debian.org/doc/debian-policy/ or
18
+# the debian-policy package
19
+
20
+
21
+case "$1" in
22
+    configure)
23
+
24
+        # firewall conf
25
+        ufw allow 80
26
+
27
+        # nginx conf
28
+        . /etc/default/jitsi-videobridge
29
+        cp /usr/share/doc/jitsi-meet/jitsi-meet.example /etc/nginx/sites-available/$JVB_HOSTNAME.conf
30
+        if [ ! -f /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf ]; then
31
+            ln -s /etc/nginx/sites-available/$JVB_HOSTNAME.conf /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf
32
+        fi
33
+        sed -i "s/jitsi-meet.example.com/$JVB_HOSTNAME/g" /etc/nginx/sites-available/$JVB_HOSTNAME.conf
34
+        # FIXME do we need the default?
35
+        if [ ! -f /etc/nginx/sites-enabled/default ]; then
36
+            ln -s /etc/nginx/sites-available/default /etc/nginx/sites-enabled/default
37
+        fi
38
+        if grep "# server_names_hash_bucket_size 64" /etc/nginx/nginx.conf > /dev/null; then
39
+            sed -i "s/#\ server_names_hash_bucket_size\ 64/\ server_names_hash_bucket_size\ 64/" /etc/nginx/nginx.conf
40
+        fi
41
+
42
+        # jitsi meet
43
+        chown -R www-data:www-data /srv/web/jitsi-meet/
44
+        sed -i "s/jitsi-meet.example.com/$JVB_HOSTNAME/g" /srv/web/jitsi-meet/config.js
45
+        # enable turn
46
+        if grep "//  useStunTurn: true," /srv/web/jitsi-meet/config.js > /dev/null; then
47
+            sed -i "s/\/\/\ \ useStunTurn:\ true,/\ \ \ \ useStunTurn:\ true,/" /srv/web/jitsi-meet/config.js
48
+        fi
49
+        invoke-rc.d nginx restart
50
+
51
+        # and we're done
52
+        db_stop
53
+
54
+    ;;
55
+
56
+    abort-upgrade|abort-remove|abort-deconfigure)
57
+    ;;
58
+
59
+    *)
60
+        echo "postinst called with unknown argument \`$1'" >&2
61
+        exit 1
62
+    ;;
63
+esac
64
+
65
+# dh_installdeb will replace this with shell code automatically
66
+# generated by other debhelper scripts.
67
+
68
+#DEBHELPER#
69
+
70
+exit 0

+ 50
- 0
debian/postrm Переглянути файл

@@ -0,0 +1,50 @@
1
+#!/bin/sh
2
+# postrm script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postrm> `remove'
10
+#        * <postrm> `purge'
11
+#        * <old-postrm> `upgrade' <new-version>
12
+#        * <new-postrm> `failed-upgrade' <old-version>
13
+#        * <new-postrm> `abort-install'
14
+#        * <new-postrm> `abort-install' <old-version>
15
+#        * <new-postrm> `abort-upgrade' <old-version>
16
+#        * <disappearer's-postrm> `disappear' <overwriter>
17
+#          <overwriter-version>
18
+# for details, see http://www.debian.org/doc/debian-policy/ or
19
+# the debian-policy package
20
+
21
+# Load debconf
22
+. /usr/share/debconf/confmodule
23
+
24
+
25
+case "$1" in
26
+    purge|remove)
27
+        rm /etc/nginx/sites-enabled/jitsi-meet
28
+        rm /etc/nginx/sites-available/jitsi-meet
29
+        if [ -x "/etc/init.d/nginx" ]; then
30
+            invoke-rc.d nginx reload
31
+        fi
32
+    ;;
33
+
34
+    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
35
+    ;;
36
+
37
+    *)
38
+        echo "postrm called with unknown argument \`$1'" >&2
39
+        exit 1
40
+    ;;
41
+esac
42
+
43
+# dh_installdeb will replace this with shell code automatically
44
+# generated by other debhelper scripts.
45
+
46
+#DEBHELPER#
47
+
48
+db_stop
49
+
50
+exit 0

+ 35
- 0
debian/preinst Переглянути файл

@@ -0,0 +1,35 @@
1
+#!/bin/sh
2
+# preinst script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <new-preinst> `install'
10
+#        * <new-preinst> `install' <old-version>
11
+#        * <new-preinst> `upgrade' <old-version>
12
+#        * <old-preinst> `abort-upgrade' <new-version>
13
+# for details, see http://www.debian.org/doc/debian-policy/ or
14
+# the debian-policy package
15
+
16
+
17
+case "$1" in
18
+    install|upgrade)
19
+    ;;
20
+
21
+    abort-upgrade)
22
+    ;;
23
+
24
+    *)
25
+        echo "preinst called with unknown argument \`$1'" >&2
26
+        exit 1
27
+    ;;
28
+esac
29
+
30
+# dh_installdeb will replace this with shell code automatically
31
+# generated by other debhelper scripts.
32
+
33
+#DEBHELPER#
34
+
35
+exit 0

+ 36
- 0
debian/prerm Переглянути файл

@@ -0,0 +1,36 @@
1
+#!/bin/sh
2
+# prerm script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <prerm> `remove'
10
+#        * <old-prerm> `upgrade' <new-version>
11
+#        * <new-prerm> `failed-upgrade' <old-version>
12
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
13
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
14
+#          <package-being-installed> <version> `removing'
15
+#          <conflicting-package> <version>
16
+# for details, see http://www.debian.org/doc/debian-policy/ or
17
+# the debian-policy package
18
+
19
+
20
+case "$1" in
21
+    remove|purge)
22
+    ;;
23
+
24
+    upgrade|deconfigure)
25
+    ;;
26
+
27
+    failed-upgrade)
28
+    ;;
29
+
30
+    *)
31
+        echo "prerm called with unknown argument \`$1'" >&2
32
+        exit 1
33
+    ;;
34
+esac
35
+
36
+exit 0

+ 13
- 0
debian/rules Переглянути файл

@@ -0,0 +1,13 @@
1
+#!/usr/bin/make -f
2
+# -*- makefile -*-
3
+# Sample debian/rules that uses debhelper.
4
+# This file was originally written by Joey Hess and Craig Small.
5
+# As a special exception, when this file is copied by dh-make into a
6
+# dh-make output file, you may use that output file without restriction.
7
+# This special exception was added by Craig Small in version 0.37 of dh-make.
8
+
9
+# Uncomment this to turn on verbose mode.
10
+#export DH_VERBOSE=1
11
+
12
+%:
13
+	dh $@ 

+ 1
- 0
debian/source/format Переглянути файл

@@ -0,0 +1 @@
1
+3.0 (quilt)

+ 17
- 0
debian/source/include-binaries Переглянути файл

@@ -0,0 +1,17 @@
1
+debian/usr/share/jitsi-meet/favicon.ico
2
+debian/usr/share/jitsi-meet/fonts/jitsi.eot
3
+debian/usr/share/jitsi-meet/fonts/jitsi.woff
4
+debian/usr/share/jitsi-meet/fonts/jitsi.ttf
5
+debian/usr/share/jitsi-meet/sounds/left.wav
6
+debian/usr/share/jitsi-meet/sounds/incomingMessage.wav
7
+debian/usr/share/jitsi-meet/sounds/joined.wav
8
+debian/usr/share/jitsi-meet/images/estoslogo.png
9
+debian/usr/share/jitsi-meet/images/chromelogo.png
10
+debian/usr/share/jitsi-meet/images/jitsilogo.png
11
+debian/usr/share/jitsi-meet/images/watermark.png
12
+debian/usr/share/jitsi-meet/images/avatarprezi.png
13
+debian/usr/share/jitsi-meet/images/chromepointer.png
14
+debian/usr/share/jitsi-meet/images/avatar1.png
15
+debian/usr/share/jitsi-meet/images/popupPointer.png
16
+debian/usr/share/jitsi-meet/images/favicon.ico
17
+debian/usr/share/doc/jitsi-meet/changelog.Debian.gz

+ 13
- 0
debian/usr/share/doc/jitsi-meet/README Переглянути файл

@@ -0,0 +1,13 @@
1
+Jitsi Meet
2
+
3
+====
4
+
5
+A WebRTC-powered multi-user videochat. For a live demo, check out either
6
+https://meet.estos.de/ or https://meet.jit.si/.
7
+
8
+Built using colibri.js[0] and strophe.jingle[1], powered by the jitsi-videobridge[2]
9
+
10
+
11
+[0] https://github.com/ESTOS/colibri.js
12
+[1] https://github.com/ESTOS/strophe.jingle
13
+[3] https://github.com/jitsi/jitsi-videobridge

BIN
debian/usr/share/doc/jitsi-meet/changelog.Debian.gz Переглянути файл


+ 31
- 0
debian/usr/share/doc/jitsi-meet/copyright Переглянути файл

@@ -0,0 +1,31 @@
1
+Format: http://dep.debian.net/deps/dep5
2
+Upstream-Name: Jitsi Meet
3
+Upstream-Contact: Emil Ivov <emcho@jitsi.org>
4
+Source: https://github.com/jitsi/jitsi-meet
5
+
6
+Files: *
7
+Copyright: 2013-2014 Jitsi
8
+License: MIT
9
+
10
+License: MIT
11
+ The MIT License (MIT)
12
+ .
13
+ Copyright (c) 2013 ESTOS GmbH
14
+ Copyright (c) 2013 BlueJimp SARL
15
+ .
16
+ Permission is hereby granted, free of charge, to any person obtaining a copy of
17
+ this software and associated documentation files (the "Software"), to deal in
18
+ the Software without restriction, including without limitation the rights to
19
+ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
20
+ the Software, and to permit persons to whom the Software is furnished to do so,
21
+ subject to the following conditions:
22
+ .
23
+ The above copyright notice and this permission notice shall be included in all
24
+ copies or substantial portions of the Software.
25
+ .
26
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
27
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
28
+ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
29
+ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
30
+ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
31
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

+ 36
- 0
debian/usr/share/doc/jitsi-meet/jitsi-meet.example Переглянути файл

@@ -0,0 +1,36 @@
1
+server {
2
+    listen 80;
3
+    server_name jitsi-meet.example.com;
4
+    return 301 https://$host$request_uri;
5
+}
6
+server {
7
+    listen 443 ssl;
8
+    server_name jitsi-meet.example.com;
9
+
10
+    ssl_certificate /var/lib/prosody/jitsi-meet.example.com.crt;
11
+    ssl_certificate_key /var/lib/prosody/jitsi-meet.example.com.key;
12
+
13
+    root /srv/web/jitsi-meet;
14
+    index index.html index.htm;
15
+
16
+    location ~ ^/([a-zA-Z0-9]+)$ {
17
+        rewrite ^/(.*)$ / break;
18
+    }
19
+
20
+    # BOSH
21
+    location /http-bind {
22
+        proxy_pass      http://localhost:5280/http-bind;
23
+        proxy_set_header X-Forwarded-For $remote_addr;
24
+        proxy_set_header Host $http_host;
25
+    }
26
+
27
+    # xmpp websockets
28
+    location /xmpp-websocket {
29
+        proxy_pass http://localhost:5280;
30
+        proxy_http_version 1.1;
31
+        proxy_set_header Upgrade $http_upgrade;
32
+        proxy_set_header Connection "upgrade";
33
+        proxy_set_header Host $host;
34
+        tcp_nodelay on;
35
+    }
36
+}

Завантаження…
Відмінити
Зберегти